<div class="front_page_section front_page_section_googlemap<?php
	$stargaze_scheme = stargaze_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $stargaze_scheme ) && ! stargaze_is_inherit( $stargaze_scheme ) ) {
		echo ' scheme_' . esc_attr( $stargaze_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( stargaze_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( stargaze_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$stargaze_css      = '';
		$stargaze_bg_image = stargaze_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $stargaze_bg_image ) ) {
			$stargaze_css .= 'background-image: url(' . esc_url( stargaze_get_attachment_url( $stargaze_bg_image ) ) . ');';
		}
		if ( ! empty( $stargaze_css ) ) {
			echo ' style="' . esc_attr( $stargaze_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$stargaze_anchor_icon = stargaze_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$stargaze_anchor_text = stargaze_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $stargaze_anchor_icon ) || ! empty( $stargaze_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $stargaze_anchor_icon ) ? ' icon="' . esc_attr( $stargaze_anchor_icon ) . '"' : '' )
									. ( ! empty( $stargaze_anchor_text ) ? ' title="' . esc_attr( $stargaze_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$stargaze_layout = stargaze_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $stargaze_layout );
		if ( stargaze_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' stargaze-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$stargaze_css      = '';
			$stargaze_bg_mask  = stargaze_get_theme_option( 'front_page_googlemap_bg_mask' );
			$stargaze_bg_color_type = stargaze_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $stargaze_bg_color_type ) {
				$stargaze_bg_color = stargaze_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $stargaze_bg_color_type ) {
				$stargaze_bg_color = stargaze_get_scheme_color( 'bg_color', $stargaze_scheme );
			} else {
				$stargaze_bg_color = '';
			}
			if ( ! empty( $stargaze_bg_color ) && $stargaze_bg_mask > 0 ) {
				$stargaze_css .= 'background-color: ' . esc_attr(
					1 == $stargaze_bg_mask ? $stargaze_bg_color : stargaze_hex2rgba( $stargaze_bg_color, $stargaze_bg_mask )
				) . ';';
			}
			if ( ! empty( $stargaze_css ) ) {
				echo ' style="' . esc_attr( $stargaze_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $stargaze_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$stargaze_caption     = stargaze_get_theme_option( 'front_page_googlemap_caption' );
			$stargaze_description = stargaze_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $stargaze_caption ) || ! empty( $stargaze_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $stargaze_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $stargaze_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $stargaze_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $stargaze_caption, 'stargaze_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $stargaze_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $stargaze_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $stargaze_description ), 'stargaze_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $stargaze_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$stargaze_content = stargaze_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $stargaze_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $stargaze_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $stargaze_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $stargaze_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $stargaze_content, 'stargaze_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $stargaze_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $stargaze_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! stargaze_exists_trx_addons() ) {
						stargaze_customizer_need_trx_addons_message();
					} else {
						stargaze_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $stargaze_layout && ( ! empty( $stargaze_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
