<div class="front_page_section front_page_section_subscribe<?php
	$stargaze_scheme = stargaze_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $stargaze_scheme ) && ! stargaze_is_inherit( $stargaze_scheme ) ) {
		echo ' scheme_' . esc_attr( $stargaze_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( stargaze_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( stargaze_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$stargaze_css      = '';
		$stargaze_bg_image = stargaze_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $stargaze_bg_image ) ) {
			$stargaze_css .= 'background-image: url(' . esc_url( stargaze_get_attachment_url( $stargaze_bg_image ) ) . ');';
		}
		if ( ! empty( $stargaze_css ) ) {
			echo ' style="' . esc_attr( $stargaze_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$stargaze_anchor_icon = stargaze_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$stargaze_anchor_text = stargaze_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $stargaze_anchor_icon ) || ! empty( $stargaze_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $stargaze_anchor_icon ) ? ' icon="' . esc_attr( $stargaze_anchor_icon ) . '"' : '' )
									. ( ! empty( $stargaze_anchor_text ) ? ' title="' . esc_attr( $stargaze_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( stargaze_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' stargaze-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$stargaze_css      = '';
			$stargaze_bg_mask  = stargaze_get_theme_option( 'front_page_subscribe_bg_mask' );
			$stargaze_bg_color_type = stargaze_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $stargaze_bg_color_type ) {
				$stargaze_bg_color = stargaze_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $stargaze_bg_color_type ) {
				$stargaze_bg_color = stargaze_get_scheme_color( 'bg_color', $stargaze_scheme );
			} else {
				$stargaze_bg_color = '';
			}
			if ( ! empty( $stargaze_bg_color ) && $stargaze_bg_mask > 0 ) {
				$stargaze_css .= 'background-color: ' . esc_attr(
					1 == $stargaze_bg_mask ? $stargaze_bg_color : stargaze_hex2rgba( $stargaze_bg_color, $stargaze_bg_mask )
				) . ';';
			}
			if ( ! empty( $stargaze_css ) ) {
				echo ' style="' . esc_attr( $stargaze_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$stargaze_caption = stargaze_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $stargaze_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $stargaze_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $stargaze_caption, 'stargaze_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$stargaze_description = stargaze_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $stargaze_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $stargaze_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $stargaze_description ), 'stargaze_kses_content' ); ?></div>
				<?php
			}

			// Content
			$stargaze_sc = stargaze_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $stargaze_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $stargaze_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					stargaze_show_layout( do_shortcode( $stargaze_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
