<article <?php post_class( 'post_item_single post_item_404' ); ?>>
	<div class="post_content">
		<h1 class="page_title">
			<span> <?php esc_html_e( '4', 'stargaze' ); ?> </span>
			<img src="<?php echo esc_url( stargaze_get_file_url( '/images/404-img.svg' ) ); ?>" alt=" <?php esc_attr_e( '404', 'stargaze' ); ?>" >
			<span> <?php esc_html_e( '4', 'stargaze' ); ?> </span>	
		</h1>
		<div class="page_info">
			<h2 class="page_subtitle"><?php esc_html_e( 'Oops...', 'stargaze' ); ?></h2>
			<p class="page_description"><?php echo wp_kses( __( "We're sorry, but <br>something went wrong.", 'stargaze' ), 'stargaze_kses_content' ); ?></p>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="go_home theme_button"><?php esc_html_e( 'Homepage', 'stargaze' ); ?></a>
		</div>
	</div>
</article>