<?php
/**
 * The template to display the background video in the header
 *
 * @package STARGAZE
 * @since STARGAZE 1.0.14
 */
$stargaze_header_video = stargaze_get_header_video();
$stargaze_embed_video  = '';
if ( ! empty( $stargaze_header_video ) && ! stargaze_is_from_uploads( $stargaze_header_video ) ) {
	if ( stargaze_is_youtube_url( $stargaze_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $stargaze_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php stargaze_show_layout( stargaze_get_embed_video( $stargaze_header_video ) ); ?></div>
		<?php
	}
}
