<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package STARGAZE
 * @since STARGAZE 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$stargaze_copyright_scheme = stargaze_get_theme_option( 'copyright_scheme' );
if ( ! empty( $stargaze_copyright_scheme ) && ! stargaze_is_inherit( $stargaze_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $stargaze_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$stargaze_copyright = stargaze_get_theme_option( 'copyright' );
			if ( ! empty( $stargaze_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$stargaze_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $stargaze_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$stargaze_copyright = stargaze_prepare_macros( $stargaze_copyright );
				// Display copyright
				echo wp_kses( nl2br( $stargaze_copyright ), 'stargaze_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
