<?php
/**
 * The template to display default site footer
 *
 * @package STARGAZE
 * @since STARGAZE 1.0.10
 */

$stargaze_footer_id = stargaze_get_custom_footer_id();
$stargaze_footer_meta = get_post_meta( $stargaze_footer_id, 'trx_addons_options', true );
if ( ! empty( $stargaze_footer_meta['margin'] ) ) {
	stargaze_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( stargaze_prepare_css_value( $stargaze_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $stargaze_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $stargaze_footer_id ) ) ); ?>
						<?php
						$stargaze_footer_scheme = stargaze_get_theme_option( 'footer_scheme' );
						if ( ! empty( $stargaze_footer_scheme ) && ! stargaze_is_inherit( $stargaze_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $stargaze_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'stargaze_action_show_layout', $stargaze_footer_id );
	?>
</footer><!-- /.footer_wrap -->
