<?php
/**
 * The template to display default site footer
 *
 * @package STARGAZE
 * @since STARGAZE 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$stargaze_footer_scheme = stargaze_get_theme_option( 'footer_scheme' );
if ( ! empty( $stargaze_footer_scheme ) && ! stargaze_is_inherit( $stargaze_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $stargaze_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'stargaze_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'stargaze_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'stargaze_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'stargaze_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
