<?php
/**
 * The template to display the side menu
 *
 * @package STARGAZE
 * @since STARGAZE 1.0
 */
?>
<div class="menu_side_wrap
<?php
echo ' menu_side_' . esc_attr( stargaze_get_theme_option( 'menu_side_icons' ) > 0 ? 'icons' : 'dots' );
$stargaze_menu_scheme = stargaze_get_theme_option( 'menu_scheme' );
$stargaze_header_scheme = stargaze_get_theme_option( 'header_scheme' );
if ( ! empty( $stargaze_menu_scheme ) && ! stargaze_is_inherit( $stargaze_menu_scheme  ) ) {
	echo ' scheme_' . esc_attr( $stargaze_menu_scheme );
} elseif ( ! empty( $stargaze_header_scheme ) && ! stargaze_is_inherit( $stargaze_header_scheme ) ) {
	echo ' scheme_' . esc_attr( $stargaze_header_scheme );
}
?>
				">
	<span class="menu_side_button icon-menu-2"></span>

	<div class="menu_side_inner">
		<?php
		// Logo
		set_query_var( 'stargaze_logo_args', array( 'type' => 'side' ) );
		get_template_part( apply_filters( 'stargaze_filter_get_template_part', 'templates/header-logo' ) );
		set_query_var( 'stargaze_logo_args', array() );
		// Main menu button
		?>
		<div class="toc_menu_item"
			<?php
			if ( stargaze_mouse_helper_enabled() ) {
				echo ' data-mouse-helper="click" data-mouse-helper-axis="y" data-mouse-helper-text="' . esc_attr__( 'Open main menu', 'stargaze' ) . '"';
			}
			?>
		>
			<a href="#" class="toc_menu_description menu_mobile_description"><span class="toc_menu_description_title"><?php esc_html_e( 'Main menu', 'stargaze' ); ?></span></a>
			<a class="menu_mobile_button toc_menu_icon icon-menu-2" href="#"></a>
		</div>		
	</div>

</div><!-- /.menu_side_wrap -->
